<template>
     <div>
    <b-form @submit.prevent="sendForm">
      <b-form-group
        id="input-group-1"
        label="Введите город"
        label-for="input-1"
        description="Чтобы узнать температуру и погоду введите город"
      >
        <b-form-input
          id="input-1"
          v-model="message"
          required
          placeholder="Введите город"
        ></b-form-input>
        <b-button type="submit" variant="primary">Узнать</b-button>
      </b-form-group>
    </b-form>
    
  </div>
</template>

<script>
export default {
  name: 'App',
  data() {
    return{
      message: '',
      info: ''
    }
  },
  methods: {
    sendForm(){
        this.$emit('submit',this.message)
    }
  }
}
</script>